parameters:
    smart_fileupload.form.default.origin_filter_name: upload_large
    smart_fileupload.form.default.filter_name: upload_small

services:
    SmartFileUploadBundle\Form\Type\FileType:
        arguments:
            - '%smart_fileupload.model.file.class%'
            - '@doctrine'
            - '@smart_fileupload.listener.uploadable'
            - '@router'
            - '@translator'
            - '%smart_fileupload.form.default.filter_name%'
            - '%smart_fileupload.form.default.origin_filter_name%'
        tags:
            - { name: form.type, alias: smart_file }

    SmartFileUploadBundle\Form\TinyMce\ImageUploadExtension:
        arguments:
            - '@router'
            - '@security.csrf.token_manager'
        tags:
            - { name: smart_core.tinymce_extension }
